/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#pragma once

#include "appwindow.h"
#include "mirai-core/DateTime.h"
#include <string>

std::string formatZeroPadding(const int number);
std::string SlintDateToStdString(const Date &date);
mirai::Date SlintDateToMiraiDate(const Date &date);
Date MiraiDateToSlintDate(const mirai::Date &date);
Time MiraiTimeToSlintTime(const mirai::Time &time);
mirai::Time SlintTimeToMiraiTime(const Time &time);
